Bug 73578 - support for http 1.1
support for http 1.1
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: junkbuster (Show other bugs)
null
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Karsten Hopp
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-06 05:00 EDT by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-17 03:19:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-09-06 05:00:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.1) Gecko/20020826

Description of problem:
Mozilla & Konqueror both default to http 1.1. However junkbuster does not
support this, which results in lots of problems surfing the web.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Just use junkbuster, surf the web and try downloading files ;-)
	

Additional info:
Comment 1 Barry K. Nathan 2002-09-10 05:47:03 EDT
There's a fork of Junkbuster, Privoxy, which has HTTP 1.1 support among other
improvements. (I've used neither Junkbuster nor Privoxy but this might be useful
info anyway.) Try http://www.privoxy.org, or google for it.
Comment 2 Need Real Name 2002-09-17 03:19:00 EDT
Thanks Barry,

I did try Privoxy for over a week now and it is indeed great software and is to
be preferred above Junkbuster. Junkbuster isn't being developed anymore since
1998, while Privoxy is. See below

Regards,

Patrick
From the FAQ:
In the beginning, there was the Internet Junkbuster, by Anonymous Coders and
Junkbusters Corporation. It saved many users a lot of pain in the early days of
web advertising and user tracking. But the web, its protocols and standards, and
with it, the techniques for forcing users to consume ads, give up autonomy over
their browsing, and for spying on them, kept evolving. Unfortunately, the
nternet Junkbuster did not. Version 2.0.2, published in 1998, was (and is) the
last official release available from Junkbusters Corporation. Fortunately, it
had been released under the GNU GPL, which allowed further development by others.

So Stefan Waldherr started maintaining an improved version of the software, to
which eventually a number of people contributed patches. It could already
replace banners with a transparent image, and had a first version of pop−up
killing, but it was still very closely based on the original, with all its
limitations, such as the lack of HTTP/1.1 support, flexible per−site
configuration, or content modification. The last release from this effort was
version 2.0.2−10, published in 2000.

Then, some developers picked up the thread, and started turning the software
inside out, upside down, and then reassembled it, adding many new features along
the way.

The result of this is Privoxy, whose first stable release, 3.0, was released
August, 2002.
Comment 3 Karsten Hopp 2002-09-17 05:43:27 EDT
Privoxy has been part of all beta releases of the next Red Hat Linux and 
will be in the final product, too. I've even built Red Hat 6.x packages and 
uploaded them to privoxy.org (someone was faster with the 7.x packages, so 
those are not compiled by Red Hat). 

Note You need to log in before you can comment on or make changes to this bug.